package cn.superdesk.uniorder.dao.mapper.sys.role;

import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleMenuKey;
import cn.superdesk.uniorder.dto.vo.sys.role.ViewMenuTree;
import cn.superdesk.uniorder.dto.vo.sys.role.ViewRoleMenu;

import java.util.List;
import java.util.Map;

public interface SysRoleMenuMapperEx {

	int deleteByPrimaryKey(SysRoleMenuKey key);

	int insert(SysRoleMenuKey record);

	int insertSelective(SysRoleMenuKey record);

	List<ViewRoleMenu> findAllView(Map<String, Object> queryMap);

	void deleteByRoleId(Long roleId);

	List<ViewMenuTree> getTreeByRoleId(Long roleId);

	List<ViewMenuTree> getTreeByRoleIdNew(Long roleId);

	List<ViewRoleMenu> getDataByRoleId(Long roleId);
}